//Astronomy by voodoochopstiks, ix remix
//Skyboxen

textures/astronomy_ix/hazelnight
{
	qer_editorimage textures/astronomy_ix/hazelnight.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_lightsubdivide 8
	q3map_globaltexture
	q3map_skylight 50 3
	surfaceparm sky
	q3map_sun 1 0.6 0.2 100 295 75
	skyparms env/astronomy_ix/nightsky - -
}


//lunaran tele tex + shader
textures/astronomy_ix/telly
{
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm nomarks
	q3map_surfacelight 1000
	q3map_lightsubdivide 32
	tesssize 32
	qer_editorimage textures/astronomy_ix/tellyfx1.tga
	q3map_globaltexture
	{
		map textures/astronomy_ix/tellyfx1.tga
		tcMod scroll 0 .4
		tcMod turb 0 0.1 0.3 0.12
	}
	{
		map textures/astronomy_ix/tellyfx2.tga
		tcMod scroll 0 -.4
		tcMod turb 0 0.1 0.3 0.12
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/astronomy_ix/u_lamp5_blue
{
	qer_editorimage textures/astronomy_ix/u_lamp5_blue.tga
	q3map_lightimage textures/astronomy_ix/u_lamp5_blue_blend.tga
	surfaceparm nodlight
	surfaceparm nomarks
	q3map_surfacelight 2000
	{
		map textures/astronomy_ix/u_lamp5_blue.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/astronomy_ix/u_lamp5_blue_blend.tga
		blendfunc gl_one_minus_dst_color gl_one
	}
}

textures/astronomy_ix/u_lamp5_blue_4k
{
	qer_editorimage textures/astronomy_ix/u_lamp5_blue.tga
	q3map_lightimage textures/astronomy_ix/u_lamp5_blue_blend.tga
	surfaceparm nodlight
	surfaceparm nomarks
	q3map_surfacelight 4000
	{
		map textures/astronomy_ix/u_lamp5_blue.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/astronomy_ix/u_lamp5_blue_blend.tga
		blendfunc gl_one_minus_dst_color gl_one
	}
}

textures/astronomy_ix/u_lamp5_or
{
	qer_editorimage textures/astronomy_ix/u_lamp5_or.tga
	q3map_lightimage textures/astronomy_ix/u_lamp5_or_blend.tga
	surfaceparm nodlight
	surfaceparm nomarks
	q3map_surfacelight 2000
	{
		map textures/astronomy_ix/u_lamp5_or.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/astronomy_ix/u_lamp5_or_blend.tga
		blendfunc gl_one_minus_dst_color gl_one
		rgbGen wave sin 0.92 0.03 0 8 
	}
}

textures/astronomy_ix/u_lamplong1_blue
{
	qer_editorimage textures/astronomy_ix/u_lamplong1_blue.tga
	q3map_lightimage textures/astronomy_ix/u_lamplong1_blue_blend.tga
	surfaceparm nodlight
	surfaceparm nomarks
	q3map_surfacelight 2000
	{
		map textures/astronomy_ix/u_lamplong1_blue.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/astronomy_ix/u_lamplong1_blue_blend.tga
		blendfunc gl_one_minus_dst_color gl_one
		rgbGen wave sin 0.9 0.2 0 0.3 
	}
}

textures/astronomy_ix/u_lamplong1_gr
{
	qer_editorimage textures/astronomy_ix/u_lamplong1_gr.tga
	q3map_lightimage textures/astronomy_ix/u_lamplong1_gr_blend.tga
	surfaceparm nodlight
	surfaceparm nomarks
	q3map_surfacelight 2000
	{
		map textures/astronomy_ix/u_lamplong1_gr.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/astronomy_ix/u_lamplong1_gr_blend.tga
		blendfunc gl_one_minus_dst_color gl_one
		rgbGen wave sin 0.9 0.09 0 1 
	}
}

textures/astronomy_ix/u_lamplong1_or
{
	qer_editorimage textures/astronomy_ix/u_lamplong1_or.tga
	q3map_lightimage textures/astronomy_ix/u_lamplong1_or_blend.tga
	surfaceparm nodlight
	surfaceparm nomarks
	q3map_surfacelight 2000
	{
		map textures/astronomy_ix/u_lamplong1_or.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/astronomy_ix/u_lamplong1_or_blend.tga
		blendfunc gl_one_minus_dst_color gl_one
		rgbGen wave sin 0.9 0.09 0 1 
	}
}

textures/astronomy_ix/Keita
{
	qer_editorimage textures/astronomy_ix/Keita_2_2.jpg
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_surfacelight 500
	{
		map textures/astronomy_ix/Keita_2_2.jpg
		rgbGen identity
	}
}

textures/astronomy_ix/u_trlight3_blue
{
	qer_editorimage textures/astronomy_ix/u_trlight3_blue.tga
	q3map_lightimage textures/astronomy_ix/u_trlight3_blue_blend.tga
	surfaceparm nodlight
	surfaceparm nomarks
	q3map_lightsubdivide 128
	q3map_surfacelight 2100
	{
		map textures/astronomy_ix/u_trlight3_blue.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/astronomy_ix/u_trlight3_blue_blend.tga
		blendfunc gl_one_minus_dst_color gl_one
		rgbGen wave sawtooth 0.9 0.2 0 7 
	}
}
